package repostatus

import (
	"go.wit.com/gui"
	"go.wit.com/lib/gadgets"
)

type RepoStatus struct {
	ready   bool
	hidden  bool
	changed bool

	// lasttagrev string
	tags map[string]string

	parent *gui.Node

	window *gadgets.BasicWindow

	dirtyLabel  *gadgets.OneLiner
	readOnly    *gadgets.OneLiner
	goSumStatus *gadgets.OneLiner

	path      *gadgets.OneLiner
	goSrcPath *gadgets.OneLiner
	realPath  *gadgets.OneLiner

	currentBranch  *gadgets.OneLiner
	currentVersion *gadgets.OneLiner
	tagsDrop       *gadgets.BasicDropdown

	lasttag             *gadgets.OneLiner
	masterBranchVersion *gadgets.OneLiner
	develBranchVersion  *gadgets.OneLiner
	userBranchVersion   *gadgets.OneLiner

	mainWorkingName  *gadgets.OneLiner
	develWorkingName *gadgets.OneLiner
	userWorkingName  *gadgets.OneLiner

	develMerge     *gui.Node
	releaseVersion *gui.Node

	//	vgroup		*gui.Node
	minor    *gadgets.BasicCombobox
	major    *gadgets.BasicCombobox
	revision *gadgets.BasicCombobox

	versionMessage       *gadgets.BasicEntry
	versionCmds          [][]string
	versionCmdOutput     *gadgets.OneLiner
	targetReleaseVersion *gadgets.OneLiner

	newversion *gui.Node

	gitBranchesGroup *gui.Node
	gitStatusGroup   *gui.Node
	gitCommandsGroup *gui.Node

	// masterDrop *gadgets.BasicDropdown
	// develDrop  *gadgets.BasicDropdown
	// userDrop   *gadgets.BasicDropdown

	showBranchesButton  *gui.Node
	checkBranchesButton *gui.Node

	speed       *gadgets.OneLiner
	speedActual *gadgets.OneLiner

	gitConfig *GitConfig
	goConfig  GoConfig
}
